import request from '@/utils/request'

// 查询拼单活动管理列表
export function listGroupActivity(query) {
  return request({
    url: '/service/groupActivity/list',
    method: 'get',
    params: query
  })
}

// 查询拼单活动管理详细
export function getGroupActivity(id) {
  return request({
    url: '/service/groupActivity/' + id,
    method: 'get'
  })
}

// 新增拼单活动管理
export function addGroupActivity(data) {
  return request({
    url: '/service/groupActivity',
    method: 'post',
    data: data
  })
}

// 修改拼单活动管理
export function updateGroupActivity(data) {
  return request({
    url: '/service/groupActivity',
    method: 'put',
    data: data
  })
}

// 删除拼单活动管理
export function delGroupActivity(id) {
  return request({
    url: '/service/groupActivity/' + id,
    method: 'delete'
  })
}
